
Foreman - Bug #14182

Roles index does not use authorize scope

03/14/2016 08:09 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3317

  

Description

Seems to be present since Role was made authorizable.

Related issues:

Related to Foreman - Bug #6825: refactor api/v2/filters_controller.rb to use ... Closed 07/29/2014

Associated revisions

Revision 1dc50766 - 03/16/2016 04:44 AM - Marek Hulán

Fixes #14182 - authorize role index

Revision f7f52066 - 04/18/2016 01:45 PM - Marek Hulán

Fixes #14182 - authorize role index

(cherry picked from commit 1dc50766d599f1121f959117e98e639bfc0e9ff1)

History

#1 - 03/14/2016 08:09 AM - Marek Hulán

- Related to Bug #6825: refactor api/v2/filters_controller.rb to use find_optional_nested_object and add Authorizable to class Role added

#2 - 03/14/2016 08:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3317 added

#3 - 03/16/2016 05:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1dc50766d599f1121f959117e98e639bfc0e9ff1.

#4 - 03/16/2016 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 141
